### cancel_after_t

A completion token adapter that cancels an operation after a timeout.

    template<
        typename CompletionToken,
        typename Clock,
        typename WaitTraits = asio::wait_traits<Clock>>
    class cancel_after_t

##### Member Functions

Name | Description
--- | ---
cancel_after_t [constructor] | Constructor.

##### Data Members

Name | Description
--- | ---
cancel_type_ |
timeout_ |
token_ |

The `cancel_after_t` class is used to indicate that an asynchronous operation should be cancelled if not complete before the specified duration has elapsed.

##### Requirements

Header: `asio/cancel_after.hpp`

Convenience header: `asio.hpp`